RFKILL(8)

NUME
rfkill - instrument pentru activarea și dezactivarea dispozitivelor fără fir

REZUMAT

rfkill [opțiuni] [comanda] [ID|tip ...]

DESCRIERE

rfkill listează, activează și dezactivează dispozitivele fără fir.

Formatul de ieșire al comenzii „list” este depreciat și este menținut doar pentru compatibilitate retroactivă. Noul format de ieșire este cel implicit atunci când nu se specifică nicio comandă sau când se utilizează opțiunea --output.

Rezultatele implicite pot fi modificate. Așadar, ori de câte ori este posibil, ar trebui să evitați să utilizați ieșirile implicite în scripturile dumneavoastră. Întotdeauna definiți în mod explicit coloanele așteptate prin utilizarea opțiunii --output împreună cu o listă de coloane în mediile în care este necesară o ieșire stabilă.

OPȚIUNI

-J, --json
    Utilizează formatul de ieșire JSON.

-n, --noheadings
    Nu imprimă o linie de antet.

-o, --output
    Specifică ce coloane de ieșire se vor afișa. Utilizați --help pentru a obține o listă a coloanelor disponibile.

--output-all
    Afișează toate coloanele disponibile.

-r, --raw
    Utilizează formatul de ieșire brut.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

COMENZI

help
    Afișează acest mesaj de ajutor și iese.

event
    Ascultă evenimentele rfkill și le afișează la ieșirea standard (stdout).

list [id|tip ...]
    Afișează starea actuală a tuturor dispozitivelor disponibile. Formatul de ieșire al comenzii este depreciat, a se vedea secțiunea DESCRIERE. Este o idee bună să verificați cu comanda list dacă domeniul de aplicare id sau tip este adecvat înainte de a stabili block sau unblock. Șirul special de tip all se va potrivi cu totul. Se acceptă utilizarea mai multor argumente id sau tip. Tipurile posibile sunt: all (toate), {wlan | wifi}, bluetooth, {uwb | ultrawideband}, wimax, wwan, gps, fm, nfc.

block id|tip [...]
    Dezactivează dispozitivul respectiv.

unblock id|tip [...]
    Activează dispozitivul respectiv. În cazul în care dispozitivul este blocat, de exemplu, printr-un comutator al echipamentului, acesta va rămâne indisponibil, deși acum este deblocat prin funcția software.

toggle id|tip [...]
    Activați sau dezactivați dispozitivul respectiv.

EXEMPLU

      rfkill --output ID,TIP
      rfkill block all
      rfkill unblock wlan
      rfkill block bluetooth uwb wimax wwan gps fm nfc

AUTORI

rfkill a fost scris inițial de către și Codul a fost modificat ulterior de către și pentru proiectul util-linux.

Această pagină de manual a fost scrisă de pentru proiectul Debian (și poate fi folosită și de alții).

CONSULTAȚI ȘI

powertop(8), systemd-rfkill(8),

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda rfkill face parte din pachetul util-linux care poate fi descărcat de la